OpenTTD

Instance Methods | Protected Attributes
OTTD_CocoaView Class Reference

Subclass of NSView to fix Quartz rendering and mouse awareness. More...

`#import <cocoa_v.h>`

Inheritance diagram for OTTD_CocoaView:

## Instance Methods
(void) | - setDriver:
(void) | - drawRect:
(BOOL) | - isOpaque
(BOOL) | - acceptsFirstResponder
(BOOL) | - becomeFirstResponder
(void) | - setTrackingRect
(void) | - clearTrackingRect
(void) | - resetCursorRects
(void) | - viewWillMoveToWindow:
(void) | - viewDidMoveToWindow
(void) | - mouseEntered:
(void) | - mouseExited:

## Protected Attributes
< NSTextInputClient, NSTextInput > NSTrackingRectTag | trackingtag

## Detailed Description

Subclass of NSView to fix Quartz rendering and mouse awareness.

Definition at line 233 of file cocoa_v.h.

## Field Documentation

## ◆ trackingtag

- (<NSTextInputClient, NSTextInput> NSTrackingRectTag) trackingtag
| protected

Initial value:
{
CocoaSubdriver *driver

Definition at line 243 of file cocoa_v.h.

The documentation for this class was generated from the following file:

- src/video/cocoa/cocoa_v.h